---
title: ':-webkit-autofill'
slug: 'Web/CSS/:-webkit-autofill'
tags:
  - CSS
  - NeedsExample
  - Non-standard
  - Pseudo-class
  - Reference
  - Selector
---
<div>{{CSSRef}}{{Non-standard_header}}</div>

<p>The <strong><code>:-webkit-autofill</code></strong> CSS <a href="/en-US/docs/Web/CSS/Pseudo-classes">pseudo-class</a> matches when an {{HTMLElement("input")}} element has its value autofilled by the browser.</p>

<p class="note"><strong>Note:</strong> The user agent style sheets of many browsers use <code>!important</code> in their <code>:-webkit-autofill</code> style declarations, making them non-overrideable by webpages without resorting to JavaScript hacks.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">:-webkit-autofill</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.selectors.-webkit-autofill")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://code.google.com/p/chromium/issues/detail?id=46543">Chromium issue 46543: Auto-filled input text box yellow background highlight cannot be turned off!</a></li>
 <li><a href="https://bugs.webkit.org/show_bug.cgi?id=66032">WebKit bug 66032: Allow site authors to override autofilled fields' colors.</a></li>
 <li><a href="https://bugzilla.mozilla.org/show_bug.cgi?id=740979">Mozilla bug 740979: implement <code>:-moz-autofill</code> pseudo-class on input elements with an autofilled value</a></li>
 <li><a href="https://wiki.csswg.org/spec/css4-ui#more-selectors">new css4-ui features - more selectors</a></li>
</ul>
